## org.apache.sling.extensions.leakdetector.internal
Class LeakDetector

    java.lang.Object
      org.apache.sling.extensions.leakdetector.internal.LeakDetector

All Implemented Interfaces:
  Runnable, org.osgi.framework.BundleActivator

    public class LeakDetector

extends Object
implements Runnable, org.osgi.framework.BundleActivator

Constructor Summary
`LeakDetector()`

Method Summary
`void` `printConfiguration(PrintWriter pw)`
`void` `run()`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeakDetector

    public LeakDetector()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`

### stop

    public void stop(org.osgi.framework.BundleContext context)

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### printConfiguration

    public void printConfiguration(PrintWriter pw)

  See Also:
    `org.apache.felix.webconsole.ConfigurationPrinter#printConfiguration(java.io.PrintWriter)`

Copyright © 2007-2014 The Apache Software Foundation. All Rights Reserved.